Package com.destroystokyo.paper.network

# Interface NetworkClient

All Known Subinterfaces:
  `Player`, `StatusClient`

public interface NetworkClient
Represents a client connected to the server.

## Method Summary

Modifier and Type
Method
Description
`@NotNull InetSocketAddress`
`getAddress()`
Returns the socket address of the client.
`int`
`getProtocolVersion()`
Returns the protocol version of the client.
`@Nullable InetSocketAddress`
`getVirtualHost()`
Returns the virtual host the client is connected to.

## Method Details

### getAddress

@NotNull @NotNull InetSocketAddress getAddress()
Returns the socket address of the client.

Returns:
  The client's socket address

### getProtocolVersion

int getProtocolVersion()
Returns the protocol version of the client.

Returns:
  The client's protocol version, or `-1` if unknown
See Also:
  - List of protocol version numbers

### getVirtualHost

@Nullable @Nullable InetSocketAddress getVirtualHost()
Returns the virtual host the client is connected to.

The virtual host refers to the hostname/port the client used to connect to the server.

Returns:
  The client's virtual host, or `null` if unknown